AppBrain reports wrong OS version

Discussion in 'Huawei Ideos S7' started by Music, Jul 8, 2011.

  1. Music

    Music Senior Member

    Joined:
    Feb 5, 2011
    Messages:
    543
    Likes Received:
    7
    Trophy Points:
    195
    Location:
    Northcoast, OH
    Tablet / Device:
    Google Nexus 7-13, 32 Gb
    I wanted to install an app I found on AppBrain.com, and when I tap the install button on my devices (Huawei S7-201) browser, there is a little pop-up message that say I have OS 2.1 and the App requires OS 2.2
    I know for a fact that my new device has Android 2.2.2

    I there anything you can do to correct it? It looks like most apps now require Android 2.2+

    thx
     

Share This Page